import request from '@/utils/request'

// 查询posorder列表
export function listOrder(query) {
  return request({
    url: '/system/order/list',
    method: 'get',
    params: query
  })
}
// 查询posorder列表sh
export function listShOrder1(query) {
  return request({
    url: '/system/order/shlist1',
    method: 'get',
    params: query
  })
}
// 查询posorder列表sh
export function listShOrder2(query) {
  return request({
    url: '/system/order/shlist2',
    method: 'get',
    params: query
  })
}
// 查询posorder列表sh
export function listShOrder3(query) {
  return request({
    url: '/system/order/shlist3',
    method: 'get',
    params: query
  })
}

// 查询posorder详细
export function getOrder(id) {
  return request({
    url: '/system/order/' + id,
    method: 'get'
  })
}

// 新增posorder
export function addOrder(data) {
  return request({
    url: '/system/order',
    method: 'post',
    data: data
  })
}

// 修改posorder
export function updateOrder(data) {
  return request({
    url: '/system/order',
    method: 'put',
    data: data
  })
}

// 删除posorder
export function delOrder(id) {
  return request({
    url: '/system/order/' + id,
    method: 'delete'
  })
}
//查询会员
export function getvip(id) {
  return request({
    url: '/infouser/user/getvip?userId='+id,
    method: 'get'
  })
}
//查询详请
export function getorderhout(id) {
  return request({
    url: '/system/order/getorderhout?id='+id,
    method: 'get'
  })
}
